<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Обмен средств');
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/billing"style="text-decoration:none; color:white;">Биллинг</a> :: Обмен средств</div></div></div>';
if ($b['wmr'] != null) {
if (isset($_POST['ok'])) {
$rur = abs((int)$_POST['rur']);
$user = abs((int)$_POST['user']);
$pass = check($_POST['pass']);
if (empty($rur)) {
err('Введите сумму!');
} elseif ($b['gears'] < $rur) {
err('У вас недостаточно Gears для обмена!');
} elseif ($rur < 1 OR $rur > 8000) {
err('Ошибка! Сумма не должна быть меньше 1 или больше 8 000 Gears.');
} elseif (empty($pass) OR sha1($pass.'gearnet') != $b['pass']) {
err('Пароль введен не верно!');
} else {
$kurs = '0.20';
$sum = ($rur * $kurs);
DB::$dbs->query("INSERT INTO `billing_ex` (`user_id`,`rur`,`time`,`gear`) VALUES (?,?,?,?)", [$b['id'],$sum,time(),$rur]);
DB::$dbs->query("UPDATE `blogger` SET `gears` = `gears` - ?, `rur` = `rur` + ? WHERE id = ?", [$rur,$sum,$b['id']]);
$id = DB::$dbs->lastInsertId();
$text = 'Обмен [b]'.$rur.' gears[/b] на [b]'.$sum.'[/b] успешно завершен!';
DB::$dbs->query("INSERT INTO `billing_hist` (`user_id`,`text`,`time`) VALUES (?,?,?)", [$b['id'],$text,time()]);
jurnal($b['id'],$text,6);
echo '<div class="alert alert-success"role="alert">Обмен успешно завершен!</div>';
$title->GetMenu();
$title->GetFooter();
die();
}
}
echo'<div class="list-group-item media"> Сейчас на вашем счету: <b>'.round($b['rur'], 2).'</b> WMR.</br>
<img src="/assets/images/wmd.gif" alt="" /><a href="inwm.html">Пополнить</a></br>
Виртуальный счет <b>'.$b['gears'].'</b> G. <a href="ex.html">Обменять на WMR</a></div>';
echo '<div class="list-group-item media"><b>Gears (Курс: 1 gears = 0.20 руб.)</b><br/><form action="?" method="post"><input name="rur" class="form-control"maxlength="7"/><br />Пароль: <br/><input class="form-control" name="pass"/><br /> <input type="submit" name="ok" class="btn btn-primary" value="Обменять"/></form></div>';
} else err('Заполните WMR кошелек!');
$title->GetMenu();
$title->GetFooter();
?>